---
page_title: Enroll Card in VISA Intelligent Commerce
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/enroll-card-in-visa-intelligent-commerce
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fvisa-agentic-transactions%2Fenroll-card-in-visa-intelligent-commerce
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# VIC Enroll Card



This API is used to enroll the VISA token in their intelligent commerce platform## Endpoints:
- Sandbox: https://sandbox.juspay.in/enrollInAgenticService

- Production: https://api.juspay.in/enrollInAgenticService

## Request Type: 
POST

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

> **Note**
> Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==


- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Headers:

#### x-merchantid:
Merchantid of the AI Agent to be passed here
- Tags: String, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
{
    "clientReferenceId": "sdfsdfsddsfffff",
    "vProvisionedTokenId": "sdfsdfsddsfffff",
    "userDetails": {
        "customerId": "user_1234567",
        "identityType": "EMAIL_ADDRESS",
        "countryCode": "US"
    },
    "appDetails": {
        "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/144.0.0.0 Safari/537.36",
        "ipAddress": "104.28.3.25",
        "deviceData": {
            "model": "Macintosh",
            "brand": "Apple",
            "manufacturer": "Apple"
        }
    },
    "appName": "",
    "networkType": "VISA"
}

```

### Sample Response:

#### Sample Response:
```plaintext
{
    "errorMessage": null,
    "status": "SUCCESS",
    "payload": {
        "nwEnrollVicCardStatus": "ACTIVE",
        "clientReferenceId": "1_1768897769_649_141_k8l73-7d75755c8q_IAMRB"
    },
    "errorCode": null
}

```

## Body Parameters:
### Request Body:

#### clientReferenceId:
- Description: Session identifier of VISA
- Value: value
- Tags: String, Mandatory

#### vProvisionedTokenId:
- Description: Token id of the card being used for agentic transactions
- Tags: String, Mandatory

#### userDetails:
- Description: Customer details
- Value:
  - **CustomerId**:
    - Value: user_1234567
    - Tags: String
  - **IdentityType**:
    - Value: EMAIL_ADDRESS
    - Tags: String
  - **CountryCode**:
    - Value: US
    - Tags: String
- Tags: JSON, Mandatory

#### appDetails:
- Description: User agent and other device information
- Value:
  - **UserAgent**:
    - Value: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/144.0.0.0 Safari/537.36
    - Tags: String
  - **IpAddress**:
    - Value: 104.28.3.25
    - Tags: String
  - **DeviceData**:
    - Value:
      - **Model**:
        - Value: Macintosh
        - Tags: String
      - **Brand**:
        - Value: Apple
        - Tags: String
      - **Manufacturer**:
        - Value: Apple
        - Tags: String
    - Tags: Object
- Tags: String, Mandatory

#### appName:
- Description: AppName of the merchant which is an optional field
- Tags: String, Conditional

#### networkType:
- Description: Example: VISA
- Tags: ENUM, Mandatory
## API Responses:
### 200:

#### errorMessage:

#### status:
- Value: SUCCESS
- Tags: String

#### payload:
- Value:
  - **NwEnrollVicCardStatus**:
    - Value: ACTIVE
    - Tags: String
  - **ClientReferenceId**:
    - Value: 1_1768897769_649_141_k8l73-7d75755c8q_IAMRB
    - Tags: String
- Tags: Object

#### errorCode:


---

## See Also

- [Validate OTP](https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/validate-otp)
- [Setup Agentic Payment](https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/setup-agentic-payment)
